/*
 * Copyright (C) 2004 Nikola Kotur <kotnik@ns-linux.org>
 */

#include "nkrecnik.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("A KDE KPart Application");

static const char version[] = "0.90";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open." ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("nkrecnik", I18N_NOOP("NKRecnik"), version, description,
                     KAboutData::License_GPL, "(C) 2004 Nikola Kotur", 0, 0, "kotnik@ns-linux.org");
    about.addAuthor( "Nikola Kotur", 0, "kotnik@ns-linux.org" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    NKRecnik *mainWin = 0;

/*    if (app.isRestored())
    {
        RESTORE(NKRecnik);
    }
    else*/
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

        /// @todo do something with the command line args here

        mainWin = new NKRecnik();
        app.setMainWidget( mainWin );
        mainWin->show();

        args->clear();
    }

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

